%global modname fmn.lib

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 %{__python}}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:               python-fmn-lib
Version:            0.2.7
Release:            1%{?dist}
Summary:            Internal API components and model for Fedora Notifications

Group:              Development/Libraries
License:            LGPLv2+
URL:                http://pypi.python.org/pypi/fmn.lib
Source0:            http://pypi.python.org/packages/source/f/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-nose


BuildRequires:      python-beautifulsoup4
BuildRequires:      python-fmn-rules
BuildRequires:      python-docutils
BuildRequires:      python-markupsafe

%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires:      python-ordereddict
BuildRequires:      python-sqlalchemy0.8
%else
BuildRequires:      python-sqlalchemy
%endif


Requires:           python-beautifulsoup4
Requires:           python-fmn-rules
Requires:           python-docutils
Requires:           python-markupsafe

%if 0%{?rhel} && 0%{?rhel} <= 6
Requires:           python-ordereddict
Requires:           python-sqlalchemy0.8
%else
Requires:           python-sqlalchemy
%endif

Requires:           python-alembic


%description
fmn is a family of systems to manage end-user notifications triggered by
fedmsg, the Fedora FEDerated MESsage bus.

This modules contains the internal API for components and data model for Fedora
Notifications

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
mkdir -p %{buildroot}%{_bindir}
install createdb.py %{buildroot}%{_bindir}/fmn-createdb

# DB upgrade/downgrade scripts
%{__mkdir_p} %{buildroot}%{_datadir}/%{modname}/
%{__cp} alembic.ini %{buildroot}%{_datadir}/%{modname}/alembic.ini
%{__cp} -r alembic/ %{buildroot}%{_datadir}/%{modname}/alembic/

%check
%{__python2} setup.py test

%files
%doc README.rst COPYING COPYING.LESSER CHANGELOG.rst
%{python2_sitelib}/fmn/lib/
%{python2_sitelib}/%{modname}-%{version}*
%{_datadir}/%{modname}/
%{_bindir}/fmn-createdb

%changelog
* Thu Aug 14 2014 Ralph Bean <rbean@redhat.com> - 0.2.7-1
- Latest upstream.
- More optimizations.

* Wed Jul 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.6-1
- Latest upstream.

* Fri Jul 18 2014 Ralph Bean <rbean@redhat.com> - 0.2.5-1
- Reduce spam when new accounts are created.

* Tue Jun 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.4-1
- Latest upstream.
- Alembic upgrade scripts.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.3-1
- Upstream release.

* Mon Jan 27 2014 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Upstream release.
- Fleshed out android stubs.
- Minor API enhancements.

* Thu Jan 23 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Upstream release.
- Add scratch builds to the defaults.
- Fix a misnamed method call.

* Wed Jan 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Upstream release

* Tue Dec 03 2013 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- initial package for Fedora
